# Interface SwiftXCTestBinary

All Superinterfaces:
  `Named, SoftwareComponent, SwiftBinary`

@Incubating public interface SwiftXCTestBinary extends SwiftBinary
An test binary built from Swift source.

Since:
  4.4

## Nested Class Summary

### Nested classes/interfaces inherited from interface Named

`Named.Namer`

## Method Summary

Modifier and Type
Method
Description
`Provider<RegularFile>`
`getExecutableTestFile()`
Returns the executable test file for this binary.
`Provider<Directory>`
`getInstallDirectory()`
Returns the installation directory for this binary.
`Provider<RegularFile>`
`getRunScriptFile()`
Returns the script for running this binary.

### Methods inherited from interface Named

`getName`

### Methods inherited from interface SwiftBinary

`getCompileModules, getLinkLibraries, getModule, getObjects, getRuntimeLibraries, getSwiftSource, isDebuggable, isTestable`

## Method Details

### getExecutableTestFile

Provider<RegularFile> getExecutableTestFile()
Returns the executable test file for this binary.

Since:
  4.4

### getInstallDirectory

Provider<Directory> getInstallDirectory()
Returns the installation directory for this binary.

Since:
  4.4

### getRunScriptFile

Provider<RegularFile> getRunScriptFile()
Returns the script for running this binary.

Since:
  4.4